--
-- Patch DBA de SCO_IMPORT du 26/09/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1
-- Type : DBA
-- Schema : SCO_IMPORT
-- Numero de version : 0.1.0.12
-- Date de publication : 26/09/2013
-- Auteur(s) : Chama LAATIK

-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;



-----------------------V20130926.110249__DBA_Creation_du_user_sco_import.sql------------------------
declare

   c int;
   dataTableSpaceFolder varchar2(1024);
   indexTableSpaceFolder varchar2(1024);
   folderName varchar2(1024);

begin  

-- Test d'existence du User Sco_Import
   select count(*) into c from dba_users where username = upper('SCO_IMPORT');

   if c <> 0 then
      execute immediate '
      DROP USER SCO_IMPORT CASCADE
      ';
   end if;
   
end;
/

-- CREATION DU USER
CREATE USER SCO_IMPORT IDENTIFIED BY bdlmmdesco_scolarite
DEFAULT TABLESPACE DATA_CKTL_SCOL TEMPORARY TABLESPACE TEMP quota unlimited on DATA_CKTL_SCOL;
ALTER USER SCO_IMPORT quota unlimited on INDX_CKTL_SCOL;

GRANT CREATE SESSION TO SCO_IMPORT;

GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_AP              TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_REPARTITION_AP  TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_REPARTITION_EC  TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_REPARTITION_UE  TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_REPARTITION_SEM TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_EC              TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_UE              TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_PARCOURS        TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_HORAIRE_CODE    TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_HORAIRE_MODE    TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_MAQUETTE_SEMESTRE        TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_ANNEE          TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_DIPLOME        TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_DIPLOME_SISE   TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_DISCIPLINE     TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_DOMAINE        TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_FILIERE        TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_GRADE          TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_SPECIALISATION TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_HABILITATION   TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_SPECIALITE     TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_VOCATION       TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_CONSTANTE_BUDGET         TO SCO_IMPORT;
GRANT SELECT, references on SCOLARITE.SCOL_FORMATION_DEPARTEMENT    TO SCO_IMPORT;

GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.AP              	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.AE              	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.SESSION_COMPOSANT   		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.FORMULE       	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.COMPOSANT       	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.CREDITABLE      	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.DIPLOME         	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.DOMAINE         	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.EC              	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.GRADE_UNIVERSITAIRE   	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.LIEN                		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.LIEN_COMPOSER        		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.MENTION             		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.MODE_AP             		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.PARCOURS            		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.PERIODE             		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.SPECIALITE          		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.STATUT_FORMATION    		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.TYPE_AP		 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.TYPE_FORMATION	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.TYPE_ORGANISATION	 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.STRUCTURES_COMPOSANT 		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.UE			 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.REGROUPEMENT			TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.VERSION_DIPLOME		TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.DESCRIPTIF			TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.DESCRIPTIF_CHAMP_CONTENU 	TO SCO_IMPORT;
GRANT SELECT, INSERT, UPDATE, DELETE, references on SCO_SCOLARITE.DISCIPLINES_COMPOSANT 	TO SCO_IMPORT;


GRANT SELECT ON SCO_SCOLARITE.COMPOSANT_SEQ 		TO SCO_IMPORT;
GRANT SELECT ON SCO_SCOLARITE.LIEN_SEQ 			TO SCO_IMPORT;
GRANT SELECT ON SCO_SCOLARITE.CREDITABLE_SEQ 		TO SCO_IMPORT;
GRANT SELECT ON SCO_SCOLARITE.SESSION_COMPOSANT_SEQ 	TO SCO_IMPORT;
GRANT SELECT ON SCO_SCOLARITE.MODE_AP_SEQ		TO SCO_IMPORT;
GRANT SELECT ON SCO_SCOLARITE.FORMULE_SEQ 		TO SCO_IMPORT;

CREATE OR REPLACE DIRECTORY W_FILE_NON_SCOLARIX AS '/home/oracle/SCO_IMPORT';
GRANT READ, WRITE ON DIRECTORY W_FILE_NON_SCOLARIX TO SCO_IMPORT;

-----------------------V20130926.110249__DBA_Creation_du_user_sco_import.sql~-----------------------


